import type { BaseContract, BigNumber, BigNumberish, BytesLike, CallOverrides, ContractTransaction, PayableOverrides, PopulatedTransaction, Signer, utils } from "ethers";
import type { FunctionFragment, Result, EventFragment } from "@ethersproject/abi";
import type { Listener, Provider } from "@ethersproject/providers";
import type { TypedEventFilter, TypedEvent, TypedListener, OnEvent, PromiseOrValue } from "../../../../common";
export type EActionStruct = {
    target: PromiseOrValue<string>;
    value: PromiseOrValue<BigNumberish>;
    data: PromiseOrValue<BytesLike>;
};
export type EActionStructOutput = [string, BigNumber, string] & {
    target: string;
    value: BigNumber;
    data: string;
};
export interface StratAuthLightInterface extends utils.Interface {
    functions: {
        "emergencyAction((address,uint256,bytes)[])": FunctionFragment;
        "vault()": FunctionFragment;
    };
    getFunction(nameOrSignatureOrTopic: "emergencyAction" | "vault"): FunctionFragment;
    encodeFunctionData(functionFragment: "emergencyAction", values: [EActionStruct[]]): string;
    encodeFunctionData(functionFragment: "vault", values?: undefined): string;
    decodeFunctionResult(functionFragment: "emergencyAction", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "vault", data: BytesLike): Result;
    events: {
        "EmergencyAction(address,bytes)": EventFragment;
    };
    getEvent(nameOrSignatureOrTopic: "EmergencyAction"): EventFragment;
}
export interface EmergencyActionEventObject {
    target: string;
    data: string;
}
export type EmergencyActionEvent = TypedEvent<[
    string,
    string
], EmergencyActionEventObject>;
export type EmergencyActionEventFilter = TypedEventFilter<EmergencyActionEvent>;
export interface StratAuthLight extends BaseContract {
    connect(signerOrProvider: Signer | Provider | string): this;
    attach(addressOrName: string): this;
    deployed(): Promise<this>;
    interface: StratAuthLightInterface;
    queryFilter<TEvent extends TypedEvent>(event: TypedEventFilter<TEvent>, fromBlockOrBlockhash?: string | number | undefined, toBlock?: string | number | undefined): Promise<Array<TEvent>>;
    listeners<TEvent extends TypedEvent>(eventFilter?: TypedEventFilter<TEvent>): Array<TypedListener<TEvent>>;
    listeners(eventName?: string): Array<Listener>;
    removeAllListeners<TEvent extends TypedEvent>(eventFilter: TypedEventFilter<TEvent>): this;
    removeAllListeners(eventName?: string): this;
    off: OnEvent<this>;
    on: OnEvent<this>;
    once: OnEvent<this>;
    removeListener: OnEvent<this>;
    functions: {
        emergencyAction(actions: EActionStruct[], overrides?: PayableOverrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        vault(overrides?: CallOverrides): Promise<[string]>;
    };
    emergencyAction(actions: EActionStruct[], overrides?: PayableOverrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    vault(overrides?: CallOverrides): Promise<string>;
    callStatic: {
        emergencyAction(actions: EActionStruct[], overrides?: CallOverrides): Promise<void>;
        vault(overrides?: CallOverrides): Promise<string>;
    };
    filters: {
        "EmergencyAction(address,bytes)"(target?: PromiseOrValue<string> | null, data?: null): EmergencyActionEventFilter;
        EmergencyAction(target?: PromiseOrValue<string> | null, data?: null): EmergencyActionEventFilter;
    };
    estimateGas: {
        emergencyAction(actions: EActionStruct[], overrides?: PayableOverrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        vault(overrides?: CallOverrides): Promise<BigNumber>;
    };
    populateTransaction: {
        emergencyAction(actions: EActionStruct[], overrides?: PayableOverrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        vault(overrides?: CallOverrides): Promise<PopulatedTransaction>;
    };
}
